// This creates the function to validate the email address
function isValidEmailAddress(emailAddress) {
    var pattern = new RegExp(/^(("[\w-+\s]+")|([\w-+]+(?:\.[\w-+]+)*)|("[\w-+\s]+")([\w-+]+(?:\.[\w-+]+)*))(@((?:[\w-+]+\.)*\w[\w-+]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$)|(@\[?((25[0-5]\.|2[0-4][\d]\.|1[\d]{2}\.|[\d]{1,2}\.))((25[0-5]|2[0-4][\d]|1[\d]{2}|[\d]{1,2})\.){2}(25[0-5]|2[0-4][\d]|1[\d]{2}|[\d]{1,2})\]?$)/i);
    return pattern.test(emailAddress);
};

// This makes this jQuery script use a different selector i.e. formQuery instead of $
var formQuery = jQuery.noConflict();
formQuery(document).ready(function() {

// This shows/hides the maths question popup
	formQuery(".info").mouseover(function() {
		formQuery(this).next(".infoPop").show();
	});
	formQuery(".info").mouseout(function() {
		formQuery(this).next(".infoPop").hide();
	});

// This creates the function when the form is submitted	
	formQuery('.enquiry-submit').click(function () {
		
		// This sets variables for all of the form inputs
		var name = formQuery('input[name=name]');
		var email = formQuery('input[name=email]');
		var number = formQuery('input[name=number]');
		var comment = formQuery('textarea[name=comment]');
		var security = formQuery('input[name=security]');
		
		// If name field is empty, highlight it and display validation error
		if (name.val()=='') {
			name.addClass('hightlight');
			formQuery('.msg').show();
			formQuery('.msg').html("<div class='message'></div>");
			formQuery('.message').html("Please fill in all fields.");
			return false;
		} else name.removeClass('hightlight');
		
		// If email field is empty or invalid, highlight it and display validation error
		if (email.val()=='') {
			email.addClass('hightlight');
			formQuery('.msg').show();
			formQuery('.msg').html("<div class='message'></div>");
			formQuery('.message').html("Please fill in all fields.");
			return false;
		} else if(!isValidEmailAddress(email.val())){
			email.addClass('hightlight');
            formQuery('.msg').show();
			formQuery('.msg').html("<div class='message'></div>");
			formQuery('.message').html("Please enter a valid email.");  
			return false;				
            } else email.removeClass('hightlight');
		
		// If details textarea is empty, highlight it and display validation error
		if (comment.val()=='') {
			comment.addClass('hightlight');
			formQuery('.msg').show();
			formQuery('.msg').html("<div class='message'></div>");
			formQuery('.message').html("Please fill in all fields.");
			return false;
		} else comment.removeClass('hightlight');
		
		// If maths question field is empty or incorrect, highlight it and display validation error
		if (security.val()=='') {
			security.addClass('hightlight');
			formQuery('.msg').show();
			formQuery('.msg').html("<div class='message'></div>");
			formQuery('.message').html("Please fill in all fields.");
			return false;
		} else if (security.val()!='4') {
			security.addClass('hightlight');
			formQuery('.msg').show();
			formQuery('.msg').html("<div class='message'></div>");
			formQuery('.message').html("Security question incorrect.");
			return false;
		} else security.removeClass('hightlight');

		// Compile field variables into data
		var data = 'name=' + name.val() + '&email=' + email.val() + '&number=' + number.val() + '&comment='  + encodeURIComponent(comment.val()) + '&security='  + security.val();
		
		// Show the loading icon and remove any error messages
		formQuery('.loading').show();
		formQuery('.msg').hide();

		// Start AJAX send
		formQuery.ajax({
			// Enter below the full path to your "send" php file
			url: "http://thewebtaylor.co.uk/guides/demo/ajax-form/send.php",
			type: "POST",		
			data: data,
			cache: false,
			success: function (html) {
				// If form submission is successful
				if ( html == 1 ) {
					formQuery('.loading').hide();
					formQuery('#side-enquiry').hide();
					formQuery('.success').show();
				}
				// Double check if maths question is correct
				else if ( html == 2 ) {
					formQuery('.loading').hide();
					formQuery('.msg').show();
					formQuery('.msg').html("<div class='message2'></div>");
					formQuery('.message2').html("Security code is incorrect.");
				}
				// If ther was an error with sending the message
				else {
					formQuery('.loading').hide();
					formQuery('.loading').hide();
					formQuery('.msg').show();
					formQuery('.msg').html("<div class='message2'></div>");
					formQuery('.message2').html("Error, please try again.");
				}
			}
		});
		return false;
	});	
});	